org.eclipse.emf.cdo.spi.common.commit

## Class CDOCommitInfoUtil

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.commit.CDOCommitInfoUtil

-     public final class CDOCommitInfoUtil
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDOCommitData` | `createCommitData(List<CDOPackageUnit> newPackageUnits, List<CDOIDAndVersion> newObjects, List<CDORevisionKey> changedObjects, List<CDOIDAndVersion> detachedObjects)`
    `static InternalCDOCommitInfoManager` | `createCommitInfoManager()`
    `static InternalCDOCommitInfoManager` | `createCommitInfoManager(boolean caching)`
    `static int` | `decodeCount(long timeStamp)`
    `static void` | `dump(PrintStream out, CDOChangeSetData changeSetData)`
    `static long` | `encodeCount(int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createCommitInfoManager

          public static InternalCDOCommitInfoManager createCommitInfoManager(boolean caching)

      Since:
        4.2

    - #### createCommitInfoManager

          public static InternalCDOCommitInfoManager createCommitInfoManager()

    - #### createCommitData

          public static CDOCommitData createCommitData(List<CDOPackageUnit> newPackageUnits,
                                                       List<CDOIDAndVersion> newObjects,
                                                       List<CDORevisionKey> changedObjects,
                                                       List<CDOIDAndVersion> detachedObjects)

      Since:
        4.2

    - #### encodeCount

          public static long encodeCount(int count)

      Since:
        4.2

    - #### decodeCount

          public static int decodeCount(long timeStamp)

      Since:
        4.2

    - #### dump

          public static void dump(PrintStream out,
                                  CDOChangeSetData changeSetData)

      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html